added -avoid-version to LDFLAGS, plugins are not versioned
[strongswan.git] / src / charon / plugins / unit_tester / Makefile.am
1
2 INCLUDES = -I$(top_srcdir)/src/libstrongswan -I$(top_srcdir)/src/charon
3
4 AM_CFLAGS = -rdynamic
5
6 plugin_LTLIBRARIES = libstrongswan-unit-tester.la
7
8 libstrongswan_unit_tester_la_SOURCES = unit_tester.c unit_tester.h tests.h \
9   tests/test_enumerator.c \
10   tests/test_auth_info.c \
11   tests/test_curl.c \
12   tests/test_mysql.c \
13   tests/test_sqlite.c \
14   tests/test_mutex.c \
15   tests/test_rsa_gen.c \
16   tests/test_cert.c \
17   tests/test_med_db.c \
18   tests/test_chunk.c \
19   tests/test_pool.c \
20   tests/test_agent.c \
21   tests/test_id.c
22
23 libstrongswan_unit_tester_la_LDFLAGS = -module -avoid-version
24